clang-tools 10.0.0

Classes | Functions
clang::tidy::openmp Namespace Reference

## Classes
class | ExceptionEscapeCheck
| Analyzes OpenMP Structured Blocks and checks that no exception escapes out of the Structured Block it was thrown in. More...
class | OpenMPModule
| This module is for OpenMP-specific checks. More...
class | UseDefaultNoneCheck
| Finds OpenMP directives that are allowed to contain a `default` clause, but either don't specify it or the clause is specified but with the kind other than `none`, and suggests to use the `default(none)` clause. More...

## Functions
static ClangTidyModuleRegistry::Add< OpenMPModule > | X ("openmp-module", "Adds OpenMP-specific checks.")

## Function Documentation

## ◆ X()

static ClangTidyModuleRegistry::Add<OpenMPModule> clang::tidy::openmp::X | ( | "openmp-module" | ,
|  | "Adds OpenMP-specific checks." |
| ) |  |
| static

Referenced by clang::tidy::openmp::OpenMPModule::addCheckFactories().